using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioRabbitMQ
    {

        public IList<entidadeRabbitMQ> Select(entidadeRabbitMQ objRabbitMQ)
        {
            dalRabbitMQ dalRabbitMQ = null;

            var lstRabbitMQ = new List<entidadeRabbitMQ>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalRabbitMQ = new dalRabbitMQ();
                dt = dalRabbitMQ.Select(objRabbitMQ);

                regranegocioGlobal = new regraNegocioGlobal();

                lstRabbitMQ = regraNegocioGlobal.ConvertDataTable<entidadeRabbitMQ>(dt);

                return lstRabbitMQ;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert(entidadeRabbitMQ objRabbitMQ)
        {
            dalRabbitMQ dalRabbitMQ = null;

            try
            {
                dalRabbitMQ = new dalRabbitMQ();

                dalRabbitMQ.Insert(objRabbitMQ);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeRabbitMQ objRabbitMQ)
        {
            dalRabbitMQ dalRabbitMQ = null;

            try
            {
                dalRabbitMQ = new dalRabbitMQ();

                dalRabbitMQ.Update(objRabbitMQ);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
